<!-- ALL-CONTRIBUTORS-BADGE:START - Do not remove or modify this section -->
[![All Contributors](https://img.shields.io/badge/all_contributors-35-orange.svg?style=flat-square)](#contributors-)
<!-- ALL-CONTRIBUTORS-BADGE:END -->
[![Build Status](https://travis-ci.org/firegento/firegento-pdf.svg?branch=development)](https://travis-ci.org/firegento/firegento-pdf/)

# FireGento PDF

FireGento PDF overwrites standard PDF layouts for invoices, shipments and creditmemos.

## Facts

- version: 1.4.0
- extension key: FireGento_Pdf
- [extension on GitHub](https://github.com/firegento/firegento-pdf)
- [direct download link](https://github.com/firegento/firegento-pdf/archive/master.zip)

## Description

FireGento PDF overwrites standard PDF layouts for invoices, shipments and creditmemos. Anyway, you can still use the standard Magento layout, because the extension is highly configurable.

## Requirements

- PHP >= 5.6.0
- Mage_Core
- Mage_Pdf
- Mage_Sales

## Compatibility

- Magento >= 1.6

## Installation Instructions

1. Copy all the files into your document root.
2. Clear the cache, logout from the admin panel and then login again.
3. Configure the extension under System - Configuration - Sales - PDF Print-outs.

### Recommendation
If you use this extension for an austrian shop or Austrian locale (de_AT), please make sure to install [Hackathon_LocaleFallback](https://github.com/magento-hackathon/Hackathon_LocaleFallback) as well, because we only maintain the strings which differ between German locales, so you need this plugin (or have to copy all the strings over). 

## Uninstallation

1. Remove all extension files from your Magento installation.

## Support

If you have any issues with this extension, open an issue on [GitHub](https://github.com/firegento/firegento-pdf/issues).

## Contribution

Any contribution is highly appreciated. The best way to contribute code is to open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests). In order to contribute to the latest code, please checkout the `development` branch after cloning your fork.

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://www.simonsprankel.com/"><img src="https://avatars1.githubusercontent.com/u/930199?v=4" width="100px;" alt=""/><br /><sub><b>Simon Sprankel</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=sprankhub" title="Code">💻</a></td>
    <td align="center"><a href="http://www.fabian-blechschmidt.de/"><img src="https://avatars1.githubusercontent.com/u/379680?v=4" width="100px;" alt=""/><br /><sub><b>Fabian Blechschmidt</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=Schrank" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/daim2k5"><img src="https://avatars3.githubusercontent.com/u/656150?v=4" width="100px;" alt=""/><br /><sub><b>Damian Luszczymak</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=daim2k5" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/mam08ixo"><img src="https://avatars0.githubusercontent.com/u/1771622?v=4" width="100px;" alt=""/><br /><sub><b>Christoph Aßmann</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=mam08ixo" title="Code">💻</a></td>
    <td align="center"><a href="http://www.eyecook.net/"><img src="https://avatars0.githubusercontent.com/u/13577480?v=4" width="100px;" alt=""/><br /><sub><b>David Fecke</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=leptoquark1" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/quafzi"><img src="https://avatars1.githubusercontent.com/u/164261?v=4" width="100px;" alt=""/><br /><sub><b>Thomas Birke</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=quafzi" title="Code">💻</a></td>
    <td align="center"><a href="https://www.reachdigital.nl/"><img src="https://avatars2.githubusercontent.com/u/1244416?v=4" width="100px;" alt=""/><br /><sub><b>Paul Hachmang</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=paales" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="http://www.aadmathijssen.nl/"><img src="https://avatars0.githubusercontent.com/u/3796971?v=4" width="100px;" alt=""/><br /><sub><b>Aad Mathijssen</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=aadmathijssen" title="Code">💻</a></td>
    <td align="center"><a href="http://vinaikopp.com/"><img src="https://avatars0.githubusercontent.com/u/72463?v=4" width="100px;" alt=""/><br /><sub><b>Vinai Kopp</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=Vinai" title="Code">💻</a></td>
    <td align="center"><a href="http://www.mage-profis.de/"><img src="https://avatars0.githubusercontent.com/u/710748?v=4" width="100px;" alt=""/><br /><sub><b>Mathis Klooß</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=mklooss" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/rodeinator"><img src="https://avatars3.githubusercontent.com/u/557705?v=4" width="100px;" alt=""/><br /><sub><b>Michael</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=rodeinator" title="Code">💻</a></td>
    <td align="center"><a href="http://laebs.net/"><img src="https://avatars3.githubusercontent.com/u/8914917?v=4" width="100px;" alt=""/><br /><sub><b>Sascha Michalski</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=saschamichalski" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/joergblaschek"><img src="https://avatars1.githubusercontent.com/u/2729419?v=4" width="100px;" alt=""/><br /><sub><b>Jörg Blaschek</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=joergblaschek" title="Code">💻</a></td>
    <td align="center"><a href="https://www.openstream.ch/"><img src="https://avatars2.githubusercontent.com/u/58966?v=4" width="100px;" alt=""/><br /><sub><b>Nick Weisser</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=nickw108" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/dakira"><img src="https://avatars1.githubusercontent.com/u/576555?v=4" width="100px;" alt=""/><br /><sub><b>Matthias Niess</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=dakira" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/joh-klein"><img src="https://avatars3.githubusercontent.com/u/3099832?v=4" width="100px;" alt=""/><br /><sub><b>Johannes Klein</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=joh-klein" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/michaelscheel"><img src="https://avatars3.githubusercontent.com/u/3317939?v=4" width="100px;" alt=""/><br /><sub><b>michael</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=michaelscheel" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/infabo"><img src="https://avatars0.githubusercontent.com/u/3999104?v=4" width="100px;" alt=""/><br /><sub><b>Ingo Fabbri</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=infabo" title="Code">💻</a></td>
    <td align="center"><a href="https://www.gerhard-fobe.de/"><img src="https://avatars3.githubusercontent.com/u/1615283?v=4" width="100px;" alt=""/><br /><sub><b>Gerhard Fobe</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=gfobe" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/borriglione"><img src="https://avatars2.githubusercontent.com/u/465544?v=4" width="100px;" alt=""/><br /><sub><b>André Herrn</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=borriglione" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/TheJotob"><img src="https://avatars3.githubusercontent.com/u/2641450?v=4" width="100px;" alt=""/><br /><sub><b>Joachim Eckerlin</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=TheJotob" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/winkelsdorf"><img src="https://avatars0.githubusercontent.com/u/1413291?v=4" width="100px;" alt=""/><br /><sub><b>Frederik Winkelsdorf</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=winkelsdorf" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/tkn98"><img src="https://avatars2.githubusercontent.com/u/10513307?v=4" width="100px;" alt=""/><br /><sub><b>Tom Klingenberg</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=tkn98" title="Code">💻</a></td>
    <td align="center"><a href="https://rouven.io/"><img src="https://avatars3.githubusercontent.com/u/393419?v=4" width="100px;" alt=""/><br /><sub><b>Rouven Alexander Rieker</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=therouv" title="Code">💻</a></td>
    <td align="center"><a href="https://www.diglin.com/"><img src="https://avatars2.githubusercontent.com/u/1337461?v=4" width="100px;" alt=""/><br /><sub><b>Sylvain Rayé</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=sylvainraye" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/skrollme"><img src="https://avatars2.githubusercontent.com/u/1336659?v=4" width="100px;" alt=""/><br /><sub><b>Sebastian K</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=skrollme" title="Code">💻</a></td>
    <td align="center"><a href="https://www.paepper.com/"><img src="https://avatars0.githubusercontent.com/u/4135790?v=4" width="100px;" alt=""/><br /><sub><b>Marc Päpper</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=mpaepper" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/whizkid79"><img src="https://avatars1.githubusercontent.com/u/14892483?v=4" width="100px;" alt=""/><br /><sub><b>whizkid79</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=whizkid79" title="Code">💻</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/philippta"><img src="https://avatars1.githubusercontent.com/u/13717118?v=4" width="100px;" alt=""/><br /><sub><b>Philipp Tanlak</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=philippta" title="Code">💻</a></td>
    <td align="center"><a href="http://www.integer-net.de/agentur/andreas-von-studnitz/"><img src="https://avatars1.githubusercontent.com/u/662059?v=4" width="100px;" alt=""/><br /><sub><b>Andreas von Studnitz</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=avstudnitz" title="Code">💻</a></td>
    <td align="center"><a href="https://twitter.com/rescueAnn"><img src="https://avatars3.githubusercontent.com/u/1798594?v=4" width="100px;" alt=""/><br /><sub><b>Anna Völkl</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=avoelkl" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/ktomk"><img src="https://avatars0.githubusercontent.com/u/352517?v=4" width="100px;" alt=""/><br /><sub><b>Tom Klingenberg</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=ktomk" title="Code">💻</a></td>
    <td align="center"><a href="http://www.digital-pianism.com/"><img src="https://avatars0.githubusercontent.com/u/16592249?v=4" width="100px;" alt=""/><br /><sub><b>Digital Pianism</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=digitalpianism" title="Code">💻</a></td>
    <td align="center"><a href="https://santi.uy/"><img src="https://avatars3.githubusercontent.com/u/3905501?v=4" width="100px;" alt=""/><br /><sub><b>Santiago Castro</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=bryant1410" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/kkrieger85"><img src="https://avatars2.githubusercontent.com/u/4435523?v=4" width="100px;" alt=""/><br /><sub><b>Kevin Krieger</b></sub></a><br /><a href="https://github.com/firegento/firegento-pdf/commits?author=kkrieger85" title="Documentation">📖</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->
<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!


## Developer

FireGento team and all other [contributors](https://github.com/firegento/firegento-pdf/contributors)

## License

[GNU General Public License, version 3 (GPLv3)](http://opensource.org/licenses/gpl-3.0)

## Copyright

(c) 2013-2020 FireGento Team

